Foreman - Bug #14691

Invalid user name string shown in the main menu on edit form
04/18/2016 01:24 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Web Interface
Target version: 1.11.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1327670 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3436,
https://github.com/theforeman/foreman/p
ull/3441
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1327670

Description of problem:

While updating own name/surname, the new string gets displayed in the main menu even when it's invalid (e.g. too long) (see
screenshot).

This is not permanent as the form can't be successfully submitted and disappears as soon as user get the name right or cancels the
form.

Version-Release number of selected component (if applicable):
6.2.0 snap 8.1

How reproducible:
always

Steps to Reproduce:

1. navigate to My Profile > Edit User

2. update first name/surname to some invalid string
3. hit submit

Actual results:
the name updates in the main menu even if it's not valid

Expected results:
no change is done until form successfully submits the valid data

Additional info:

Associated revisions

Revision 2f0bcd5a - 04/19/2016 09:02 AM - Shlomi Zadok

Fixes #14691 - User #to_label should show persisted name

Revision bd622a22 - 04/20/2016 08:27 AM - Dominic Cleal

refs #14691 - user editing self should not change User.current

Rather than changing the behaviour of #to_label to return persisted
data, the User.current object should not be modified with unsaved data
from the form submission or API update.

User.current is used for authz as well as for display purposes, so

shouldn't be changed. Parameter filtering protects privilege escalation
in this case.

Revision 36fae359 - 05/16/2016 10:02 AM - Dominic Cleal
https://bugzilla.redhat.com/show_bug.cgi?id=1327670

refs #14691 - user editing self should not change User.current

Rather than changing the behaviour of #to_label to return persisted

data, the User.current object should not be modified with unsaved data

from the form submission or API update.

User.current is used for authz as well as for display purposes, so

shouldn't be changed. Parameter filtering protects privilege escalation

in this case.

(cherry picked from commit bd622a22e7679982e20002969bd53ee4154e4c1c)
Revision b4da35f8 - 05/16/2016 10:02 AM - Shlomi Zadok

Fixes #14691 - User #to_label should show persisted name

(cherry picked from commit 2f0bcd5a05b531b28700f638b902bb2c801013c3)

History

#1 - 04/19/2016 02:51 AM - Dominic Cleal
- File Screenshot from 2016-04-19 07-50-22.png added

- Subject changed from WebUI - invalid user name string propagates to the main menu to Invalid user name string shown in the main menu on edit

form

- Category set to Web Interface

#2 - 04/19/2016 04:57 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#3 - 04/19/2016 05:21 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3436 added

#4 - 04/19/2016 09:59 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3441 added

#5 - 04/19/2016 10:04 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2f0bcd5a05b531b28700f638b902bb2c801013c3.

#6 - 04/20/2016 05:12 AM - Dominic Cleal

- translation missing: en.field_release set to 155

Files
